> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onera.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Actual-versus-estimate earnings surprise projections.

> Actual-versus-estimate earnings surprise projections.



## OpenAPI

````yaml /openapi.json get /us/earnings/surprises
openapi: 3.1.0
info:
  title: Corpus API
  description: >-
    Point-in-time financial and governed-document data for the US, India, and
    China.
  version: '2026-07-20'
servers:
  - url: https://corpus-api.onera.app
    description: Production
security: []
paths:
  /us/earnings/surprises:
    get:
      tags:
        - US · normalized datasets
      summary: Actual-versus-estimate earnings surprise projections.
      description: Actual-versus-estimate earnings surprise projections.
      operationId: get_us_earnings_surprises
      parameters:
        - name: identifier
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Identifier
        - name: accession_number
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Accession Number
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Start Date
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: End Date
        - name: as_of
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: As Of
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            default: 0
      responses:
        '400':
          description: Invalid parameter combination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Insufficient jurisdiction or scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Unknown resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request schema validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Normalized dataset is not activated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NormalizedDatasetUnavailableResponse'
      security:
        - X-API-KEY: []
components:
  schemas:
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      type: object
      required:
        - error
        - message
      title: ErrorResponse
    NormalizedDatasetUnavailableResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        dataset:
          type: string
          title: Dataset
        availability:
          type: string
          enum:
            - available
            - partial
            - not_backfilled
            - source_required
          title: Availability
        reason:
          type: string
          enum:
            - normalization_not_backfilled
            - governed_source_not_configured
          title: Reason
        backfill_required:
          type: boolean
          title: Backfill Required
        external_source_required:
          type: boolean
          title: External Source Required
      type: object
      required:
        - error
        - message
        - dataset
        - availability
        - reason
        - backfill_required
        - external_source_required
      title: NormalizedDatasetUnavailableResponse
      description: Fail-closed response for a route whose dataset is not activated.
  securitySchemes:
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Provisioned Corpus API key with the required jurisdiction and operation
        scopes.

````